- Cal3D 0.11 API Reference -

Public Member Functions | List of all members
cal3d::Transform Class Reference

Contains a translation and rotation that describe a coordinate system or transform. More...

`#include <transform.h>`

## Public Member Functions

| Transform (const CalVector &translation, const CalQuaternion &rotation)
const CalVector & | getTranslation () const
CalVector & | getTranslation ()
const CalQuaternion & | getRotation () const
CalQuaternion & | getRotation ()
void | setTranslation (const CalVector &translation)
void | setRotation (const CalQuaternion &rotation)
void | setIdentity ()
| Sets this coordinate system to the identity rotation and translation.
void | blend (float t, const Transform &end)
bool | operator== (const Transform &rhs) const
bool | operator!= (const Transform &rhs) const

## Detailed Description

Contains a translation and rotation that describe a coordinate system or transform.

The documentation for this class was generated from the following file:

- transform.h

Generated by The Cal3D Team with Doxygen 1.15.0